#????
not.null=* required
user.jcaptcha.error=Verification code error
user.jcaptcha.expire=Verification code expired
user.not.exists=User not present/password error
user.password.not.match=User not present/password error
user.password.retry.limit.count=The password was entered incorrectly {0} times
user.password.retry.limit.exceed=Incorrect password entry {0} times, account locked for {1} minute
user.password.delete=Sorry, your account has been deleted
user.blocked=The user has been blocked, please contact the administrator
role.blocked=Role blocked, please contact administrator
login.blocked=Unfortunately, access IP has been included in the system blacklist
user.logout.success=Exit succeeded
length.not.valid=Length must be between {min} and {max} characters
user.username.not.valid=* 2 to 20 Chinese characters, letters, numbers or underscores, and must begin with a nonnumbe
user.password.not.valid=* 5-50 characters
user.email.not.valid=Email format error
user.mobile.phone.number.not.valid=Phone number format error
user.login.success=Login succeeded
user.register.success=successfully registered
user.notfound=Please log in again
user.forcelogout=Administrator forced exit, please log in again
user.unknown.error=Unknown error, please log in again
##??????
upload.exceed.maxSize=Uploaded file size exceeds limit file size!<br/>The maximum file size allowed is {0}MB?
upload.filename.exceed.length=Uploaded file names can be up to {0} character long
##??
no.permission=You do not have permission for data, please contact the administrator to add permission [{0}]
no.create.permission=You do not have permission to create data. Please contact your administrator to add permission [{0}]
no.update.permission=You do not have permission to modify data, please contact the administrator to add permission [{0}]
no.delete.permission=You do not have permission to delete data. Please contact the administrator to add permission [{0}]
no.export.permission=You do not have permission to export data. Please contact the administrator to add permission [{0}]
no.view.permission=You do not have permission to view data, please contact the administrator to add permission [{0}]
